///////////////////////
// Text Marquee v1.0 //
///////////////////////


// Start Up
function init(bricVersion){}

// Set Type Face
function setTypeFace(typeFace)
{
	if (typeFace.indexOf(":")!= -1 ) // Font has a weight
	{
		var breakIndx = typeFace.indexOf(":");
		$('.marquee').css("font-family",typeFace.substring(0,breakIndx));
		$('.marquee').css("font-weight",typeFace.substring(breakIndx+1));
	}
	else // Simple Font
	{
		$('.marquee').css("font-family",typeFace);
	}
	
	window.webkit.messageHandlers.sync.postMessage("changes"); // Sync Changes
}

// Set Text Value
function setTextValue(value)
{
	$('.marquee').attr('data-marquee',value);
	window.webkit.messageHandlers.sync.postMessage("changes"); // Sync Changes
}

// Set Text Color
function setTextAttribute(value,attr)
{
	$('.marquee').css(attr,value);
	window.webkit.messageHandlers.sync.postMessage("changes"); // Sync Changes
}

// Set Marquee Position
function setPosition(value,attr)
{
	var posClass = ''; // Default Inline

	if (value == 1) // Top
	{
		posClass = 'marquee-fixed marquee-top';
	}
	else if (value == 2) // Bottom
	{
		posClass = 'marquee-fixed marquee-bottom';
	}

	$('.marquee').removeClass('marquee-fixed marquee-top').addClass(posClass);
	window.webkit.messageHandlers.sync.postMessage("changes"); // Sync Changes
}

// Set Scroll Speed
function setScrollSpeed(value,attr)
{
	var speedClass = ''; // Default Normal

	if (value == 1) // Drowsy
	{
		speedClass = 'marquee-speed-drowsy';
	}
	else if (value == 2) // Slow
	{
		speedClass = 'marquee-speed-slow';
	}
	else if (value == 3) // Fast
	{
		speedClass = 'marquee-speed-fast';
	}
	else if (value == 4) // Swift
	{
		speedClass = 'marquee-speed-swift';
	}
	else if (value == 5) // Hyper
	{
		speedClass = 'marquee-speed-hyper';
	}

	$('.marquee').removeClass('marquee-speed-drowsy marquee-speed-slow marquee-speed-fast marquee-speed-swift marquee-speed-hyper').addClass(speedClass);
	window.webkit.messageHandlers.sync.postMessage("changes"); // Sync Changes
}

// Set Direction
function setDirection(value,attr)
{
	$('.marquee').removeClass('marquee-direction-right');

	if (value == 1) // Left To right
	{
		$('.marquee').addClass('marquee-direction-right');
	}

	window.webkit.messageHandlers.sync.postMessage("changes"); // Sync Changes
}

// Set Text Tag
function setTagType(tagValue,targetAttr)
{
	tagValue = parseInt(tagValue)+1;
	var newTag = 'h'+tagValue; // Default Headers

	if (tagValue == 7) // Paragraph
	{
		newTag = 'p';
	}
	else if (tagValue == 8) // Label
	{
		newTag = 'label';
	}

	var content = $('editarea').html();
	var currentTag = $('.marquee').prop('tagName').toLowerCase();

	content = content.replace('<'+currentTag,'<'+newTag).replace('</'+currentTag+'>','</'+newTag+'>');
	$('editarea').html(content);
	window.webkit.messageHandlers.sync.postMessage("changes"); // Sync Changes
}
